Table of Contents

## Name

edvips - edit vips header of an image file

## Synopsis

edvips -flag value ... imagefile

## Description

edvips changes an image file's header without copying the file. This is useful for setting the resolution, for example.

The flags are:

-xres <float>
Set new X resolution

-yres <float>
Set new Y resolution

-coding <string>
Set coding - eg. NOCODING, LABPACK, etc.

-type <string>
Set type - eg. B_W, XRAY, etc.

-format <string>
Set format - eg. FMTUCHAR, FMTDPCOMPLEX, etc.

-xsize <int>`` ``
Set new Xsize

-ysize <int>`` ``
Set new Ysize

-bands <int>`` ``
Set new Bands

See <vips.h> for a complete list of passible values for type, coding and format.

Be very careful when changing Xsize, Ysize, BandFmt or Bands. edvips does no checking!

## Return Value

returns 0 on success and non-zero on error.

## See Also

header(1)

## Copyright

K. Martinez 1993

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also
- Copyright